function dy = MagnetoptikSextopolDgl(t,y,qB0m,qB0fm,v0)
% Differentialgleichung

% W. Schweizer
% Simulation physikalischer Systeme - Computational Physics mit MATLAB 
% 2016

% Vers. 2.1 01/2015

dy(1) = y(4);
dy(2) = y(5);
dy(3) = y(6);
dy(4) = (-qB0fm-1/2*qB0m*(y(1).^2-y(2).^2))*y(6);
dy(5) = qB0m*y(1)*y(2)*y(6);
dy(6) = -1/2*qB0m*(2*y(1)*y(2)*y(5)+(y(2).^2 - y(1).^2) * y(4)) + qB0fm*y(4);       

dy = dy.';